osrm-backend/test/cpp11_build.sh
Dane Springmeyer a34a885031 Squashed 'third_party/mason/' content from commit 1b3085e
git-subtree-dir: third_party/mason
git-subtree-split: 1b3085e812b08ef092ba43945e3ab9f802632280
2016-10-28 12:21:21 -07:00

34 lines
714 B
Bash
Executable File

#!/usr/bin/env bash
set -e -u
set -o pipefail
# ensure building a C++ lib works
./mason build stxxl 1.4.1
# ensure linking results in expected files
./mason link stxxl 1.4.1
failure=0
if [[ ! -f mason_packages/.link/lib/libstxxl.a ]]; then
echo "could not find expected lib/libstxxl.a"
failure=1
fi
if [[ ! -f mason_packages/.link/lib/pkgconfig/stxxl.pc ]]; then
echo "could not find expected lib/pkgconfig/stxxl.pc"
failure=1
fi
if [[ ! -d mason_packages/.link/include/stxxl ]]; then
echo "could not find expected include/stxxl"
failure=1
fi
if [[ ! -f mason_packages/.link/include/stxxl.h ]]; then
echo "could not find expected include/stxxl.h"
failure=1
fi
exit $failure